Subject: RE: [idn] IDN refocus, v4

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 20 Nov 2001 08:11:07 -0500

> -----Original Message-----
> From: Rick H Wesson [mailto:[email-masked]]
> Sent: Tuesday, November 20, 2001 3:43 AM
> 
> I believe host names can be all digits, don't know if its in a rfc but
> there are hosts and lables that are all digets.

RFC 952, updated by RFC 1123.

-Scott-

---

From: [email-masked]
Date: Tue, 20 Nov 2001 23:36:37 +1100

>
>
> On Tue, 20 Nov 2001, James Seng/Personal wrote:
>
> [snip]
>
> > Right! As I said, we are not disagreeing :-) But I think it is
useful to
> > continue this discussion as I think it is leading somewhere.
> >
> > Definition:
> >
> > domain names - any 8-bit characters, usually (but not neccessary)
> > US-ASCII
> >
> > host names - limited to LDH, no leading or trailing "-", delimited
by
> > ".", cannot contain have all digits-only labels
>
> -rick

RFC 1123 Section 2.1.  Digit only labels are legal. Only digit
only labels are illegal.

legal: 1.2.3.4.in-addr.arpa
illegal: 1.2.3.4.5.6.7.8

Mark
--
Mark Andrews, Internet Software Consortium
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

---

From: "James Seng/Personal" <[email-masked]>
Date: Tue, 20 Nov 2001 10:18:44 -0800

> I used the terms STD13 Domain Name, STD13 Host Identifier,
> Internationalized Domain Name and Internationalized Host Identifier, 
> which may be suitable.

the reasons i point this out is because i *think* we should redefined
i18n dn vs hn. i18n domain names should be as what i18n hostnames is
right now..and then i18n host names have another set of rules.

ie.
applications will check validity of i18n domain names.
policy will check validity of i18n host names.

i am thinking out loud...so i am not sure myself either.

> > TES is an encoding. CES is an encoding. I am asking if we need more
> > than one encoding (either TES or CES). That is my first question.
>
> As stated, I believe that we need 7- and 8-bit TES because the
transfer
> media offer 7- and 8-bit paths, and it would impose inefficiencies on
> those services to choose only one or the other.

Can we at least agree with the sequences of questions first?

1. Do we need more than one CCS.
   Conclusion: No, we only need one and ISO/IEC 10646.

2. Do we need more than one encoding (TES or CES) of ISO/IEC 10646?

3. If answer to (2) is yes, then how many encodings cases do we need?
3.1 For each cases, what is the right appropriate encoding?
3.2 Insert your [2] & [3]

4. If answer to (2) is no, then what is the right appropriate encoding?

The problem for me is I am still at Q2 and you are already at Q3.2.

So can we go back and ask that Q2 first?

-James Seng